# Byteclasses Package

## Description

A python package designed for creating and managing blobs of binary data using dataclass like classes.

This library is designed for creating custom Python data classes with builtin structural constraints. Byte Classes behave similar to a combination of Python dataclasses and C structs.

## Docs

[Byteclasses Documentation](https://io.thetacom.info/byteclasses/)

## Byte Classes

- Collections
  - ByteArray
  - String
  - Structure
  - Union
- Primitives
  - Generic
    - BitField
    - Byte
    - Word
    - DWord
    - QWord
  - Floats
    - Float16 (Half)
    - Float32 (Float)
    - Float64 (Double)
  - Integers
    - Int8
    - UInt8
    - Int16 (Short)
    - UInt16 (UShort)
    - Int32 (Int)
    - UInt32 (UInt)
    - Long
    - ULong
    - Int64 (LongLong)
    - UInt64 (ULongLong)
  - Characters
    - UChar (Char)
    - SChar**

> ** Not fully implemented

[C data types](https://en.wikipedia.org/wiki/C_data_types)
